Loading...
Searching...
No Matches
engine.h File Reference
`#include "arc/graphics/window.h"`
`#include "arc/graphics/renderer.h"`
`#include "arc/input/input.h"`
`#include "arc/input/mouse.h"`
`#include "arc/input/keyboard.h"`
`#include "arc/math/point.h"`
`#include "arc/std/bool.h"`
`#include "arc/std/handler.h"`

Go to the source code of this file.

## Data Structures

struct | ARC_EngineData

## Typedefs

typedef struct ARC_EngineData | ARC_EngineData
| predefien ARC_EngineData so as not to get circular reference

## Functions

void | ARC_EngineData_Create (ARC_EngineData **data, ARC_Handler_CleanDataFn cleanFn, ARC_Point windowSize)
void | ARC_EngineData_Destroy (ARC_EngineData *data)
void | ARC_Engine_RunUncapped (ARC_EngineData *data)
| runs ARC_Engine with an uncapped framerate

## Typedef Documentation

## ARC_EngineData

typedef struct ARC_EngineData ARC_EngineData

predefien ARC_EngineData so as not to get circular reference

Definition at line 11 of file renderer.h.

## Function Documentation

## ARC_Engine_RunUncapped()

void ARC_Engine_RunUncapped | ( | ARC_EngineData * | data | ) |

runs ARC_Engine with an uncapped framerate

Note
  data must be created before this function
  data should be destroyed after this function

Parameters

  data | engine data that will be used

## ARC_EngineData_Create()

void ARC_EngineData_Create | ( | ARC_EngineData ** | data,
|  | ARC_Handler_CleanDataFn | cleanFn,
|  | ARC_Point | windowSize )

@breif creates an ARC_EngineData type to be used when running an ARC_Engine

Parameters

  data | the ARC_EngineData to create
  cleanFn | the state cleanup function
  windowSIze | the size of window to create passed as an ARC_Point

## ARC_EngineData_Destroy()

void ARC_EngineData_Destroy | ( | ARC_EngineData * | data | ) |

@breif destroys an ARC_EngineData type

Parameters

  data | the ARC_EngineData to destroy